TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Operation

string S := elt-ord^rat pos

### Syntax

<string>[<elt-ord^rat>] := <char>

### Description

<shortdoc> Assign a character `c' to the string `S' at position `pos'.
Note: `pos' must not be negative nor 0 and must be within the scope of `S', otherwise an error is raised. </shortdoc>

### Examples

s:="foo bar"; s[7]:='z'; s;

### See also

list := list
[] ( string, elt-ord^rat ) -> char

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack